RAND_BYTES(3)

NAME
RAND_bytes, RAND_pseudo_bytes - generate random data

SYNOPSIS
libcrypto
#include <openssl/rand.h>
int
RAND_bytes(unsigned char *buf, int num);
int
RAND_pseudo_bytes(unsigned char *buf, int num);

DESCRIPTION
These functions are deprecated and only retained for compatibility with legacy application programs. Use arc4random_buf(3) instead.

RAND_bytes() puts num cryptographically strong pseudo-random bytes into buf.

RAND_pseudo_bytes() puts num pseudo-random bytes into buf. Pseudo-random byte sequences generated by RAND_pseudo_bytes() will be unique if they are of sufficient length, but are not necessarily unpredictable. They can be used for non-cryptographic purposes and for certain purposes in cryptographic protocols, but usually not for key generation etc.

RETURN VALUES
RAND_bytes() returns 1. RAND_pseudo_bytes() returns 1.

HISTORY
RAND_bytes() first appeared in SSLeay 0.5.1 and has been available since OpenBSD 2.4. It has a return value since OpenSSL 0.9.5 and OpenBSD 2.7.

RAND_pseudo_bytes() first appeared in OpenSSL 0.9.5 and has been available since OpenBSD 2.7.